using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class S3DVertexTangentsArray
    {
        public static implicit operator S3DVertexTangentsArray(S3DVertexTangents[] other)
        {
            var arr = new S3DVertexTangentsArray(other.Length);
            for (int i = 0; i < other.Length; i++)
            {
                arr.setitem(i, other[i]);
            }
            return arr;
        }
    }
}
